Riparare pacchetti danneggiati

Problemi riscontrati durante l'installazione di Ubuntu, degli aggiornamenti e degli avanzamenti del sistema.

Riparare pacchetti danneggiati

Messaggioda dbt » domenica 10 febbraio 2019, 2:00

Come posso riparare i seguenti pacchetti danneggiati?
libexif12:i386
libgstreamer1.0-0:i386

Codice: Seleziona tutto
sudo apt-get install -f
[sudo] password di lubu:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Correzione delle dipendenze... Fatto
I seguenti pacchetti aggiuntivi saranno inoltre installati:
  libexif12:i386 libgstreamer1.0-0:i386
Pacchetti suggeriti:
  gstreamer1.0-tools:i386
I seguenti pacchetti NUOVI saranno installati:
  libexif12:i386 libgstreamer1.0-0:i386
0 aggiornati, 2 installati, 0 da rimuovere e 130 non aggiornati.
210 non completamente installati o rimossi.
È necessario scaricare 0 B/968 kB di archivi.
Dopo quest'operazione, verranno occupati 4.469 kB di spazio su disco.
Continuare? [S/n] s
E: Errore di lettura - read (5: Errore di input/output)
E: Errore interno, impossibile trovare il membro control.tar.{zstlz4gzxzbz2lzma}
E: Prior errors apply to /var/cache/apt/archives/libexif12_0.6.21-4_i386.deb
E: Errore di lettura - read (5: Errore di input/output)
E: Errore interno, impossibile trovare il membro control.tar.{zstlz4gzxzbz2lzma}
E: Prior errors apply to /var/cache/apt/archives/libgstreamer1.0-0_1.14.1-1~ubuntu18.04.1_i386.deb
debconf: apt-extracttemplates fallito: No such file or directory
dpkg-split: errore: errore nel leggere /var/cache/apt/archives/libexif12_0.6.21-4_i386.deb: Errore di input/output
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/libexif12_0.6.21-4_i386.deb (--unpack):
 il sottoprocesso dpkg-split ha restituito lo stato di errore 2
dpkg-split: errore: errore nel leggere /var/cache/apt/archives/libgstreamer1.0-0_1.14.1-1~ubuntu18.04.1_i386.deb: Errore di input/output
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/libgstreamer1.0-0_1.14.1-1~ubuntu18.04.1_i386.deb (--unpack):
 il sottoprocesso dpkg-split ha restituito lo stato di errore 2
Si sono verificati degli errori nell'elaborazione:
 /var/cache/apt/archives/libexif12_0.6.21-4_i386.deb
 /var/cache/apt/archives/libgstreamer1.0-0_1.14.1-1~ubuntu18.04.1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
dbt
Prode Principiante
 
Messaggi: 31
Iscrizione: ottobre 2017

Re: Riparare pacchetti danneggiati

Messaggioda Vir1966 » domenica 10 febbraio 2019, 9:06

forse lo avrai già fatto ma prova a dare
Codice: Seleziona tutto
sudo apt update
Codice: Seleziona tutto
sudo apt upgrade
poi
Codice: Seleziona tutto
sudo apt install -f
Vir1966
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 545
Iscrizione: novembre 2015
Desktop: Xfce-Mate
Distribuzione: Xubuntu 16.04_32--LinuxMint 19.1_64
Sesso: Maschile

Re: Riparare pacchetti danneggiati

Messaggioda caturen » domenica 10 febbraio 2019, 9:43

posta prima di tutto
Codice: Seleziona tutto
sudo apt update
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 15349
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: Riparare pacchetti danneggiati

Messaggioda pachisapiu » domenica 10 febbraio 2019, 11:26

quell'errore ...
Codice: Seleziona tutto
E: Errore di lettura - read (5: Errore di input/output)
è bruttino ... al 90% è il tuo disco che ti sta salutando
pachisapiu
 

Re: Riparare pacchetti danneggiati

Messaggioda dbt » lunedì 11 febbraio 2019, 1:27

Grazie a tutti per le risposte e in anticipo per quelle seguenti!

Premetto che i 2 pacchetti danneggiati derivano da un'installazione non riuscita di Wine

Codice: Seleziona tutto
sudo apt update
Trovato:1 http://archive.ubuntu.com/ubuntu bionic InRelease
Ignorato:2 http://ppa.launchpad.net/freefilesync/ffs/ubuntu bionic InRelease                                                                                           
Trovato:3 http://archive.ubuntu.com/ubuntu bionic-updates InRelease                                                                                                     
Trovato:4 http://archive.ubuntu.com/ubuntu bionic-backports InRelease                                                                                                   
Trovato:5 https://dl.winehq.org/wine-builds/ubuntu bionic InRelease                                                                                                     
Trovato:6 http://ppa.launchpad.net/gezakovacs/ppa/ubuntu bionic InRelease                                                                               
Trovato:7 http://archive.ubuntu.com/ubuntu bionic-security InRelease


Codice: Seleziona tutto
sudo apt upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
È utile eseguire "apt --fix-broken install" per correggere ciò.
I seguenti pacchetti hanno dipendenze non soddisfatte:
 gstreamer1.0-plugins-base:i386 : Dipende: libgstreamer1.0-0:i386 (>= 1.14.1) ma non è installato
 libgphoto2-6:i386 : Dipende: libexif12:i386 (>= 0.6.21-1~) ma non è installato
 libgstreamer-plugins-base1.0-0:i386 : Dipende: libgstreamer1.0-0:i386 (>= 1.14.1) ma non è installato
 wine-stable-i386:i386 : Dipende: libgstreamer1.0-0:i386 (>= 1.4.0) ma non è installato
E: Dipendenze non soddisfatte. Provare "apt --fix-broken install" senza pacchetti (o specificare una soluzione).


Codice: Seleziona tutto
sudo apt --fix-broken install
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Correzione delle dipendenze... Fatto
I seguenti pacchetti aggiuntivi saranno inoltre installati:
  libexif12:i386 libgstreamer1.0-0:i386
Pacchetti suggeriti:
  gstreamer1.0-tools:i386
I seguenti pacchetti NUOVI saranno installati:
  libexif12:i386 libgstreamer1.0-0:i386
0 aggiornati, 2 installati, 0 da rimuovere e 130 non aggiornati.
210 non completamente installati o rimossi.
È necessario scaricare 0 B/968 kB di archivi.
Dopo quest'operazione, verranno occupati 4.469 kB di spazio su disco.
Continuare? [S/n] s
E: Errore di lettura - read (5: Errore di input/output)
E: Errore interno, impossibile trovare il membro control.tar.{zstlz4gzxzbz2lzma}
E: Prior errors apply to /var/cache/apt/archives/libexif12_0.6.21-4_i386.deb
E: Errore di lettura - read (5: Errore di input/output)
E: Errore interno, impossibile trovare il membro control.tar.{zstlz4gzxzbz2lzma}
E: Prior errors apply to /var/cache/apt/archives/libgstreamer1.0-0_1.14.1-1~ubuntu18.04.1_i386.deb
debconf: apt-extracttemplates fallito: No such file or directory
dpkg-split: errore: errore nel leggere /var/cache/apt/archives/libexif12_0.6.21-4_i386.deb: Errore di input/output
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/libexif12_0.6.21-4_i386.deb (--unpack):
 il sottoprocesso dpkg-split ha restituito lo stato di errore 2
dpkg-split: errore: errore nel leggere /var/cache/apt/archives/libgstreamer1.0-0_1.14.1-1~ubuntu18.04.1_i386.deb: Errore di input/output
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/libgstreamer1.0-0_1.14.1-1~ubuntu18.04.1_i386.deb (--unpack):
 il sottoprocesso dpkg-split ha restituito lo stato di errore 2
Si sono verificati degli errori nell'elaborazione:
 /var/cache/apt/archives/libexif12_0.6.21-4_i386.deb
 /var/cache/apt/archives/libgstreamer1.0-0_1.14.1-1~ubuntu18.04.1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
dbt
Prode Principiante
 
Messaggi: 31
Iscrizione: ottobre 2017

Re: Riparare pacchetti danneggiati

Messaggioda caturen » lunedì 11 febbraio 2019, 11:00

disattiva tutti i ppa che hai aggiunto e riposta
Codice: Seleziona tutto
sudo apt update && sudo apt upgrade
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 15349
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: Riparare pacchetti danneggiati

Messaggioda dbt » lunedì 11 febbraio 2019, 17:56

Ho disattivato tutti i ppa

Codice: Seleziona tutto
sudo apt update && sudo apt upgrade

Trovato:1 http://archive.ubuntu.com/ubuntu bionic InRelease
Scaricamento di:2 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88,7 kB]
Scaricamento di:3 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74,6 kB]
Scaricamento di:4 http://archive.ubuntu.com/ubuntu bionic-security InRelease [88,7 kB]
Scaricamento di:5 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages [523 kB]
Scaricamento di:6 http://archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages [450 kB]                                                                           
Scaricamento di:7 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 DEP-11 Metadata [278 kB]                                                                   
Scaricamento di:8 http://archive.ubuntu.com/ubuntu bionic-updates/main DEP-11 48x48 Icons [66,7 kB]                                                                     
Scaricamento di:9 http://archive.ubuntu.com/ubuntu bionic-updates/main DEP-11 64x64 Icons [123 kB]                                                                     
Scaricamento di:10 http://archive.ubuntu.com/ubuntu bionic-updates/universe i386 Packages [720 kB]                                                                     
Scaricamento di:11 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 Packages [729 kB]                                                                     
Scaricamento di:12 http://archive.ubuntu.com/ubuntu bionic-updates/universe Translation-en [185 kB]                                                                     
Scaricamento di:13 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 DEP-11 Metadata [202 kB]                                                             
Scaricamento di:14 http://archive.ubuntu.com/ubuntu bionic-updates/universe DEP-11 48x48 Icons [198 kB]                                                                 
Scaricamento di:15 http://archive.ubuntu.com/ubuntu bionic-updates/universe DEP-11 64x64 Icons [353 kB]                                                                 
Scaricamento di:16 http://archive.ubuntu.com/ubuntu bionic-updates/multiverse amd64 DEP-11 Metadata [2.468 B]                                                           
Scaricamento di:17 http://archive.ubuntu.com/ubuntu bionic-backports/universe amd64 DEP-11 Metadata [7.352 B]                                                           
Scaricamento di:18 http://archive.ubuntu.com/ubuntu bionic-security/main i386 Packages [200 kB]                                                                         
Scaricamento di:19 http://archive.ubuntu.com/ubuntu bionic-security/main amd64 Packages [266 kB]                                                                       
Scaricamento di:20 http://archive.ubuntu.com/ubuntu bionic-security/main amd64 DEP-11 Metadata [204 B]                                                                 
Scaricamento di:21 http://archive.ubuntu.com/ubuntu bionic-security/universe i386 Packages [119 kB]                                                                     
Scaricamento di:22 http://archive.ubuntu.com/ubuntu bionic-security/universe amd64 Packages [122 kB]                                                                   
Scaricamento di:23 http://archive.ubuntu.com/ubuntu bionic-security/universe Translation-en [68,8 kB]                                                                   
Scaricamento di:24 http://archive.ubuntu.com/ubuntu bionic-security/universe amd64 DEP-11 Metadata [20,7 kB]                                                           
Scaricamento di:25 http://archive.ubuntu.com/ubuntu bionic-security/universe DEP-11 48x48 Icons [12,2 kB]                                                               
Scaricamento di:26 http://archive.ubuntu.com/ubuntu bionic-security/universe DEP-11 64x64 Icons [55,3 kB]                                                               
Scaricamento di:27 http://archive.ubuntu.com/ubuntu bionic-security/multiverse amd64 DEP-11 Metadata [2.464 B]                                                         
Recuperati 4.956 kB in 27s (181 kB/s)                                                                                                                                   
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
130 pacchetti possono essere aggiornati: eseguire "apt list --upgradable" per vederli.
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
È utile eseguire "apt --fix-broken install" per correggere ciò.
I seguenti pacchetti hanno dipendenze non soddisfatte:
 gstreamer1.0-plugins-base:i386 : Dipende: libgstreamer1.0-0:i386 (>= 1.14.1) ma non è installato
 libgphoto2-6:i386 : Dipende: libexif12:i386 (>= 0.6.21-1~) ma non è installato
 libgstreamer-plugins-base1.0-0:i386 : Dipende: libgstreamer1.0-0:i386 (>= 1.14.1) ma non è installato
 wine-stable-i386:i386 : Dipende: libgstreamer1.0-0:i386 (>= 1.4.0) ma non è installato
E: Dipendenze non soddisfatte. Provare "apt --fix-broken install" senza pacchetti (o specificare una soluzione).
dbt
Prode Principiante
 
Messaggi: 31
Iscrizione: ottobre 2017

Re: Riparare pacchetti danneggiati

Messaggioda caturen » lunedì 11 febbraio 2019, 18:19

Per prima cosa proviamo ad eliminare wine per vedere se il sistema si mette a posto
Codice: Seleziona tutto
sudo apt purge --autoremove wine-stable
e posta quello che ti restituisce il terminale
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 15349
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: Riparare pacchetti danneggiati

Messaggioda dbt » lunedì 11 febbraio 2019, 18:47

Scusa se azzardo questa domanda.. ma non c'è modo di sistemare quei 2 pacchetti danneggiati per far funzionare anche Wine?
Avevo avviato un'altra discussione, ma non ho avuto risposte:
Problemi installazione Wine
dbt
Prode Principiante
 
Messaggi: 31
Iscrizione: ottobre 2017

Re: Riparare pacchetti danneggiati

Messaggioda dbt » lunedì 11 febbraio 2019, 20:16

caturen Immagine ha scritto:Per prima cosa proviamo ad eliminare wine per vedere se il sistema si mette a posto
Codice: Seleziona tutto
sudo apt purge --autoremove wine-stable
e posta quello che ti restituisce il terminale


Ho provato a rimuovere Wine ma mi da i soliti errori di dipendenze:
Codice: Seleziona tutto
sudo apt purge --autoremove wine-stable
[sudo] password di lubu:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
È utile eseguire "apt --fix-broken install" per correggere ciò.
I seguenti pacchetti hanno dipendenze non soddisfatte:
 gstreamer1.0-plugins-base:i386 : Dipende: libgstreamer1.0-0:i386 (>= 1.14.1) ma non sta per essere installato
 libgphoto2-6:i386 : Dipende: libexif12:i386 (>= 0.6.21-1~) ma non sta per essere installato
 libgstreamer-plugins-base1.0-0:i386 : Dipende: libgstreamer1.0-0:i386 (>= 1.14.1) ma non sta per essere installato
 wine-stable-i386:i386 : Dipende: libgstreamer1.0-0:i386 (>= 1.4.0) ma non sta per essere installato
 winehq-stable : Dipende: wine-stable (= 4.0~bionic) ma non sta per essere installato
E: Dipendenze non soddisfatte. Provare "apt --fix-broken install" senza pacchetti (o specificare una soluzione).


Se poi eseguo apt --fix-broken install mi da sempre gli stessi errori di prima
dbt
Prode Principiante
 
Messaggi: 31
Iscrizione: ottobre 2017

Re: Riparare pacchetti danneggiati

Messaggioda caturen » lunedì 11 febbraio 2019, 22:17

Purtroppo se non si ha il sistema incasinato sotto mano è un po' difficile riuscire a capire come risolvere il problema. Molto probabilmente quando hai aggiunto i ppa hai incasinato in qualche modo le dipendenze ed ora la vedo dura sistemarle. Prova a scaricare questo deb http://cz.archive.ubuntu.com/ubuntu/poo ... 1_i386.deb che ti richiede ed installalo con gdebi e vedi se te lo fa installare
E: Errore di lettura - read (5: Errore di input/output)

è bruttino ... al 90% è il tuo disco che ti sta salutando
infatti quell'errore non predice cose buone
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 15349
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: Riparare pacchetti danneggiati

Messaggioda dbt » martedì 12 febbraio 2019, 0:23

Non mi lascia installare i pacchetti con GDEBI:
Il sistema presenta delle dipendenze non integre. Impossibile procedere finchè il problema non è risolto

Ho provato a correggere i pacchetti danneggiati con SYNAPTIC ma come al solito incontra parecchi errori:
Codice: Seleziona tutto
(dpkg-preconfigure:31659): dbind-WARNING **: 23:59:48.996: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files

(dpkg-preconfigure:31657): dbind-WARNING **: 23:59:49.087: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files
E: Errore di lettura - read (5: Errore di input/output)
E: Errore interno, impossibile trovare il membro control.tar.{zstlz4gzxzbz2lzma}
E: Prior errors apply to /var/cache/apt/archives/libexif12_0.6.21-4_i386.deb
E: Errore di lettura - read (5: Errore di input/output)
E: Errore interno, impossibile trovare il membro control.tar.{zstlz4gzxzbz2lzma}
E: Prior errors apply to /var/cache/apt/archives/libgstreamer1.0-0_1.14.1-1~ubuntu18.04.1_i386.deb
debconf: apt-extracttemplates fallito: Resource temporarily unavailable
dpkg-split: errore: errore nel leggere /var/cache/apt/archives/libexif12_0.6.21-4_i386.deb: Errore di input/output
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/libexif12_0.6.21-4_i386.deb (--unpack):
 il sottoprocesso dpkg-split ha restituito lo stato di errore 2
dpkg-split: errore: errore nel leggere /var/cache/apt/archives/libgstreamer1.0-0_1.14.1-1~ubuntu18.04.1_i386.deb: Errore di input/output
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/libgstreamer1.0-0_1.14.1-1~ubuntu18.04.1_i386.deb (--unpack):
 il sottoprocesso dpkg-split ha restituito lo stato di errore 2
Si sono verificati degli errori nell'elaborazione:
 /var/cache/apt/archives/libexif12_0.6.21-4_i386.deb
 /var/cache/apt/archives/libgstreamer1.0-0_1.14.1-1~ubuntu18.04.1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Installazione di un pacchetto non riuscita. Tentativo di ripristino:
Configurazione di libcom-err2:i386 (1.44.1-1ubuntu1)...
Configurazione di libatomic1:amd64 (8.2.0-1ubuntu2~18.04)...
dpkg: problemi con le dipendenze impediscono la configurazione di libgstreamer-plugins-base1.0-0:i386:
 libgstreamer-plugins-base1.0-0:i386 dipende da libgstreamer1.0-0 (>= 1.14.1).

dpkg: errore nell'elaborare il pacchetto libgstreamer-plugins-base1.0-0:i386 (--configure):
 problemi con le dipendenze - lasciato non configurato
Configurazione di libglvnd0:i386 (1.0.0-2ubuntu2.2)...
Configurazione di libcairo2:amd64 (1.15.10-2ubuntu0.1)...
dpkg: problemi con le dipendenze impediscono la configurazione di gstreamer1.0-plugins-base:i386:
 gstreamer1.0-plugins-base:i386 dipende da libgstreamer-plugins-base1.0-0 (>= 1.14.1); tuttavia:
  Il pacchetto libgstreamer-plugins-base1.0-0:i386 non è ancora configurato.
 gstreamer1.0-plugins-base:i386 dipende da libgstreamer1.0-0 (>= 1.14.1); tuttavia:

dpkg: errore nell'elaborare il pacchetto gstreamer1.0-plugins-base:i386 (--configure):
 problemi con le dipendenze - lasciato non configurato
Configurazione di libtinfo5:i386 (6.1-1ubuntu1.18.04)...
Configurazione di libunistring2:i386 (0.9.9-0ubuntu1)...
Configurazione di libnettle6:i386 (3.4-1)...
Elaborazione dei trigger per ufw (0.35-5)...
Configurazione di libexpat1:i386 (2.2.5-3)...
Configurazione di libcc1-0:amd64 (8.2.0-1ubuntu2~18.04)...
Configurazione di make (4.1-9.1ubuntu1)...
Configurazione di cups-server-common (2.2.7-1ubuntu2.3)...
Configurazione di libidn2-0:i386 (2.0.4-1.1build2)...
Configurazione di libasyncns0:i386 (0.8-6)...
Configurazione di libodbc1:amd64 (2.3.4-1.1ubuntu3)...
Configurazione di libvncserver1:amd64 (0.9.11+dfsg-1ubuntu1.1)...
Elaborazione dei trigger per mime-support (3.60ubuntu1)...
Elaborazione dei trigger per ureadahead (0.100.0-20)...
ureadahead will be reprofiled on next reboot
Configurazione di libasan4:amd64 (7.3.0-27ubuntu1~18.04)...
Elaborazione dei trigger per desktop-file-utils (0.23-1ubuntu3.18.04.2)...
Configurazione di liblcms2-2:i386 (2.9-1ubuntu0.1)...
Configurazione di libjbig0:i386 (2.1-3.1build1)...
Configurazione di libgpm2:i386 (1.20.7-5)...
Configurazione di libdb5.3:i386 (5.3.28-13.1ubuntu1)...
Configurazione di libllvm7:amd64 (1:7-3~ubuntu0.18.04.1)...
Configurazione di libcilkrts5:amd64 (7.3.0-27ubuntu1~18.04)...
Configurazione di zlib1g:i386 (1:1.2.11.dfsg-0ubuntu2)...
Configurazione di cups-common (2.2.7-1ubuntu2.3)...
Configurazione di libelf1:i386 (0.170-0.4)...
Configurazione di libubsan0:amd64 (7.3.0-27ubuntu1~18.04)...
Configurazione di libtsan0:amd64 (8.2.0-1ubuntu2~18.04)...
Elaborazione dei trigger per libglib2.0-0:amd64 (2.56.3-0ubuntu0.18.04.1)...
Configurazione di libasound2-data (1.1.3-5ubuntu0.2)...
Configurazione di libxshmfence1:i386 (1.3-1)...
Configurazione di libcap2:i386 (1:2.25-1.2)...
Configurazione di libwayland-client0:amd64 (1.16.0-1ubuntu1.1~18.04.1)...
Configurazione di libsasl2-modules-db:i386 (2.1.27~101-g0780600+dfsg-3ubuntu2)...
dpkg: problemi con le dipendenze impediscono la configurazione di wine-stable-i386:i386:
 wine-stable-i386:i386 dipende da libgstreamer-plugins-base1.0-0 (>= 1.0.0); tuttavia:
  Il pacchetto libgstreamer-plugins-base1.0-0:i386 non è ancora configurato.
 wine-stable-i386:i386 dipende da libgstreamer1.0-0 (>= 1.4.0); tuttavia:

dpkg: errore nell'elaborare il pacchetto wine-stable-i386:i386 (--configure):
 problemi con le dipendenze - lasciato non configurato
Configurazione di libsasl2-2:i386 (2.1.27~101-g0780600+dfsg-3ubuntu2)...
Configurazione di libdpkg-perl (1.19.0.5ubuntu2.1)...
dpkg: problemi con le dipendenze impediscono la configurazione di libgphoto2-6:i386:
 libgphoto2-6:i386 dipende da libexif12 (>= 0.6.21-1~).

dpkg: errore nell'elaborare il pacchetto libgphoto2-6:i386 (--configure):
 problemi con le dipendenze - lasciato non configurato
Configurazione di libtiff5:amd64 (4.0.9-5ubuntu0.1)...
Configurazione di libjpeg-turbo8:i386 (1.5.2-0ubuntu5.18.04.1)...
Configurazione di libroken18-heimdal:i386 (7.5.0+dfsg-1)...
Configurazione di libglapi-mesa:amd64 (18.2.2-0ubuntu1~18.04.1)...
Configurazione di libglapi-mesa:i386 (18.2.2-0ubuntu1~18.04.1)...
Configurazione di libcdparanoia0:i386 (3.10.2+debian-13)...
Configurazione di libbsd0:i386 (0.8.7-1)...
Configurazione di libkrb5support0:amd64 (1.16-2ubuntu0.1)...
Configurazione di libkrb5support0:i386 (1.16-2ubuntu0.1)...
Configurazione di libgphoto2-l10n (2.5.16-2)...
Configurazione di libcapi20-3:amd64 (1:3.27-3)...
Configurazione di libcapi20-3:i386 (1:3.27-3)...
Configurazione di libqt5opengl5:amd64 (5.9.5+dfsg-0ubuntu1)...
Configurazione di libopus0:i386 (1.1.2-1ubuntu1)...
Configurazione di libtasn1-6:i386 (4.13-2)...
Configurazione di libasound2:amd64 (1.1.3-5ubuntu0.2)...
Configurazione di libasound2:i386 (1.1.3-5ubuntu0.2)...
Configurazione di libdrm-common (2.4.95-1~18.04.1)...
Configurazione di liblsan0:amd64 (8.2.0-1ubuntu2~18.04)...
Configurazione di libogg0:i386 (1.3.2-1)...
Configurazione di binutils-common:amd64 (2.30-21ubuntu1~18.04)...
Configurazione di libfile-fcntllock-perl (0.22-3build2)...
Configurazione di libgsoap-2.8.60:amd64 (2.8.60-2build1)...
Configurazione di libmpx2:amd64 (8.2.0-1ubuntu2~18.04)...
Configurazione di libx11-xcb1:i386 (2:1.6.4-3ubuntu0.1)...
Configurazione di libgmp10:i386 (2:6.1.2+dfsg-2)...
Configurazione di libpixman-1-0:i386 (0.34.0-2)...
Configurazione di libusb-1.0-0:i386 (2:1.0.21-2)...
Elaborazione dei trigger per libc-bin (2.27-3ubuntu1)...
Configurazione di udev (237-3ubuntu10.11)...
update-initramfs: deferring update (trigger activated)
Configurazione di libssl1.1:i386 (1.1.0g-2ubuntu4.3)...

(frontend:31883): dbind-WARNING **: 00:00:37.268: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files

(frontend:31881): dbind-WARNING **: 00:00:37.355: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files
Configurazione di libheimbase1-heimdal:i386 (7.5.0+dfsg-1)...
Configurazione di libfakeroot:amd64 (1.22-2ubuntu1)...
Configurazione di systemd (237-3ubuntu10.11)...
Configurazione di libltdl7:i386 (2.4.6-2)...
Configurazione di libsqlite3-0:i386 (3.22.0-1)...
Configurazione di libvisual-0.4-0:i386 (0.4.0-11)...
Configurazione di libalgorithm-diff-perl (1.19.03-1)...
Configurazione di libpciaccess0:i386 (0.14-1)...
Configurazione di libsensors4:i386 (1:3.4.0-4)...
Elaborazione dei trigger per man-db (2.8.3-2ubuntu0.1)...
Elaborazione dei trigger per shared-mime-info (1.9-2)...
Configurazione di libxkbcommon0:i386 (0.8.0-1ubuntu0.1)...
dpkg: problemi con le dipendenze impediscono la configurazione di libsane1:i386:
 libsane1:i386 dipende da libgphoto2-6 (>= 2.5.10); tuttavia:
  Il pacchetto libgphoto2-6:i386 non è ancora configurato.

dpkg: errore nell'elaborare il pacchetto libsane1:i386 (--configure):
 problemi con le dipendenze - lasciato non configurato
Configurazione di libglu1-mesa:amd64 (9.0.0-2.1build1)...
Configurazione di libstdc++6:i386 (8.2.0-1ubuntu2~18.04)...
Configurazione di libffi6:i386 (3.2.1-8)...
Configurazione di liborc-0.4-0:i386 (1:0.4.28-1)...
Configurazione di libxdmcp6:i386 (1:1.1.2-3)...
Configurazione di ocl-icd-libopencl1:amd64 (2.2.11-1ubuntu1)...
Configurazione di ocl-icd-libopencl1:i386 (2.2.11-1ubuntu1)...
Elaborazione dei trigger per dbus (1.12.2-1ubuntu1)...
Configurazione di libkeyutils1:i386 (1.5.9-9.2ubuntu2)...
Configurazione di libsasl2-modules:i386 (2.1.27~101-g0780600+dfsg-3ubuntu2)...
Configurazione di libsamplerate0:i386 (0.1.9-1)...
Configurazione di libsndio6.1:i386 (1.1.0-3)...
Configurazione di libvorbis0a:i386 (1.3.5-4.2)...
Configurazione di libieee1284-3:i386 (0.2.11-13)...
Configurazione di libmpg123-0:i386 (1.25.10-1)...
Elaborazione dei trigger per hicolor-icon-theme (0.17-2)...
Configurazione di libwayland-cursor0:amd64 (1.16.0-1ubuntu1.1~18.04.1)...
Configurazione di libgsm1:i386 (1.0.13-4build1)...
Configurazione di libwayland-egl1:amd64 (1.16.0-1ubuntu1.1~18.04.1)...
Configurazione di libwayland-egl1:i386 (1.16.0-1ubuntu1.1~18.04.1)...
Configurazione di libitm1:amd64 (8.2.0-1ubuntu2~18.04)...
Configurazione di libspeexdsp1:i386 (1.2~rc1.2-1ubuntu2)...
Configurazione di libxau6:i386 (1:1.0.8-1)...
Configurazione di libdbus-1-3:i386 (1.12.2-1ubuntu1)...
Configurazione di libwrap0:i386 (7.6.q-27)...
Configurazione di libfile-copy-recursive-perl (0.40-1)...
Configurazione di libavahi-common-data:amd64 (0.7-3.1ubuntu1.2)...
Configurazione di libavahi-common-data:i386 (0.7-3.1ubuntu1.2)...
Configurazione di libpcap0.8:i386 (1.8.1-6ubuntu1)...
Configurazione di libwayland-server0:amd64 (1.16.0-1ubuntu1.1~18.04.1)...
Configurazione di libwayland-server0:i386 (1.16.0-1ubuntu1.1~18.04.1)...
Configurazione di libwebp6:i386 (0.6.1-2)...
Configurazione di libjpeg8:i386 (8c-2ubuntu8)...
Configurazione di libedit2:i386 (3.1-20170329-1)...
Configurazione di wine-stable-amd64 (4.0~bionic)...
Configurazione di libncurses5:i386 (6.1-1ubuntu1.18.04)...
Configurazione di update-inetd (4.44)...

(frontend:1392): dbind-WARNING **: 00:01:40.380: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files

(frontend:1390): dbind-WARNING **: 00:01:40.468: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files
Configurazione di libnss-systemd:amd64 (237-3ubuntu10.11)...
Configurazione di libk5crypto3:amd64 (1.16-2ubuntu0.1)...
Configurazione di libk5crypto3:i386 (1.16-2ubuntu0.1)...
Configurazione di libicu60:i386 (60.2-3ubuntu3)...
Configurazione di libgphoto2-port12:i386 (2.5.16-2)...
Configurazione di libpam-systemd:amd64 (237-3ubuntu10.11)...

(frontend:1410): dbind-WARNING **: 00:01:42.896: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files

(frontend:1406): dbind-WARNING **: 00:01:43.117: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files
Configurazione di libodbc1:i386 (2.3.4-1.1ubuntu3)...
dpkg: problemi con le dipendenze impediscono la configurazione di wine-stable:
 wine-stable dipende da wine-stable-i386 (= 4.0~bionic); tuttavia:
  Il pacchetto wine-stable-i386:i386 non è ancora configurato.

dpkg: errore nell'elaborare il pacchetto wine-stable (--configure):
 problemi con le dipendenze - lasciato non configurato
Configurazione di libwind0-heimdal:i386 (7.5.0+dfsg-1)...
Configurazione di libpng16-16:i386 (1.6.34-1ubuntu0.18.04.1)...
Configurazione di libbinutils:amd64 (2.30-21ubuntu1~18.04)...
Configurazione di libllvm7:i386 (1:7-3~ubuntu0.18.04.1)...
Configurazione di libosmesa6:i386 (18.2.2-0ubuntu1~18.04.1)...
Configurazione di libosmesa6:amd64 (18.2.2-0ubuntu1~18.04.1)...
Configurazione di libasn1-8-heimdal:i386 (7.5.0+dfsg-1)...
Configurazione di libv4lconvert0:i386 (1.14.2-1)...
Configurazione di libglib2.0-0:i386 (2.56.3-0ubuntu0.18.04.1)...
Configurazione di libwayland-client0:i386 (1.16.0-1ubuntu1.1~18.04.1)...
Configurazione di libhcrypto4-heimdal:i386 (7.5.0+dfsg-1)...
Configurazione di libflac8:i386 (1.3.2-1)...
Configurazione di libtiff5:i386 (4.0.9-5ubuntu0.1)...
Configurazione di fakeroot (1.22-2ubuntu1)...
update-alternatives: viene usato /usr/bin/fakeroot-sysv per fornire /usr/bin/fakeroot (fakeroot) in modalità automatica
Configurazione di libhx509-5-heimdal:i386 (7.5.0+dfsg-1)...
Configurazione di libxml2:i386 (2.9.4+dfsg1-6.1ubuntu1.2)...
Configurazione di libgcc-7-dev:amd64 (7.3.0-27ubuntu1~18.04)...
Configurazione di libfreetype6:i386 (2.8.1-2ubuntu2)...
Configurazione di libdrm2:amd64 (2.4.95-1~18.04.1)...
Configurazione di libdrm2:i386 (2.4.95-1~18.04.1)...
Configurazione di libhogweed4:i386 (3.4-1)...
Configurazione di libxslt1.1:i386 (1.1.29-5)...
Configurazione di libstdc++-7-dev:amd64 (7.3.0-27ubuntu1~18.04)...
Configurazione di libalgorithm-merge-perl (0.08-3)...
Configurazione di libdrm-intel1:amd64 (2.4.95-1~18.04.1)...
Configurazione di libdrm-intel1:i386 (2.4.95-1~18.04.1)...
Configurazione di libalgorithm-diff-xs-perl (0.04-5)...
dpkg: problemi con le dipendenze impediscono la configurazione di winehq-stable:
 winehq-stable dipende da wine-stable (= 4.0~bionic); tuttavia:
  Il pacchetto wine-stable non è ancora configurato.

dpkg: errore nell'elaborare il pacchetto winehq-stable (--configure):
 problemi con le dipendenze - lasciato non configurato
Configurazione di libp11-kit0:i386 (0.23.9-2)...
Configurazione di libwayland-egl1-mesa:amd64 (18.2.2-0ubuntu1~18.04.1)...
Configurazione di libjack-jackd2-0:i386 (1.9.12~dfsg-2)...
Configurazione di libopenal1:i386 (1:1.18.2-2)...
Configurazione di libkrb5-3:amd64 (1.16-2ubuntu0.1)...
Configurazione di libkrb5-3:i386 (1.16-2ubuntu0.1)...
Configurazione di libavahi-common3:amd64 (0.7-3.1ubuntu1.2)...
Configurazione di libavahi-common3:i386 (0.7-3.1ubuntu1.2)...
Configurazione di libdrm-radeon1:amd64 (2.4.95-1~18.04.1)...
Configurazione di libdrm-radeon1:i386 (2.4.95-1~18.04.1)...
Configurazione di libkrb5-26-heimdal:i386 (7.5.0+dfsg-1)...
Configurazione di libvorbisenc2:i386 (1.3.5-4.2)...
Configurazione di libdrm-nouveau2:amd64 (2.4.95-1~18.04.1)...
Configurazione di libdrm-nouveau2:i386 (2.4.95-1~18.04.1)...
Configurazione di libxcb1:i386 (1.13-1)...
Configurazione di libwayland-cursor0:i386 (1.16.0-1ubuntu1.1~18.04.1)...
Configurazione di libheimntlm0-heimdal:i386 (7.5.0+dfsg-1)...
Configurazione di binutils-x86-64-linux-gnu (2.30-21ubuntu1~18.04)...
Configurazione di libxcb-present0:i386 (1.13-1)...
Configurazione di libfontconfig1:i386 (2.12.6-0ubuntu2)...
Configurazione di libxcb-dri2-0:i386 (1.13-1)...
Configurazione di libxcb-dri3-0:i386 (1.13-1)...
Configurazione di libxcb-glx0:i386 (1.13-1)...
Configurazione di libxcb-xfixes0:i386 (1.13-1)...
Configurazione di libxcb-render0:i386 (1.13-1)...
Configurazione di libdrm-amdgpu1:amd64 (2.4.95-1~18.04.1)...
Configurazione di libdrm-amdgpu1:i386 (2.4.95-1~18.04.1)...
Configurazione di libv4l-0:i386 (1.14.2-1)...
Configurazione di libgbm1:amd64 (18.2.2-0ubuntu1~18.04.1)...
Configurazione di libgbm1:i386 (18.2.2-0ubuntu1~18.04.1)...
Configurazione di libgnutls30:i386 (3.5.18-1ubuntu1)...
Configurazione di libx11-6:i386 (2:1.6.4-3ubuntu0.1)...
Configurazione di libgl1-mesa-dri:amd64 (18.2.2-0ubuntu1~18.04.1)...
Installazione della nuova versione del file di configurazione /etc/drirc...
Configurazione di libgl1-mesa-dri:i386 (18.2.2-0ubuntu1~18.04.1)...
Configurazione di libxcb-sync1:i386 (1.13-1)...
Configurazione di libgssapi-krb5-2:amd64 (1.16-2ubuntu0.1)...
Configurazione di libgssapi-krb5-2:i386 (1.16-2ubuntu0.1)...
Configurazione di libsndfile1:i386 (1.0.28-4)...
Configurazione di libxcomposite1:i386 (1:0.4.4-2)...
Configurazione di libxcb-shm0:i386 (1.13-1)...
Configurazione di libxpm4:i386 (1:3.5.12-1)...
Configurazione di libxrender1:i386 (1:0.9.10-1)...
Configurazione di libavahi-client3:amd64 (0.7-3.1ubuntu1.2)...
Configurazione di libavahi-client3:i386 (0.7-3.1ubuntu1.2)...
Configurazione di libegl-mesa0:amd64 (18.2.2-0ubuntu1~18.04.1)...
Configurazione di libegl-mesa0:i386 (18.2.2-0ubuntu1~18.04.1)...
Configurazione di binutils (2.30-21ubuntu1~18.04)...
Configurazione di libgssapi3-heimdal:i386 (7.5.0+dfsg-1)...
Configurazione di sane-utils (1.0.27-1~experimental3ubuntu2)...

(frontend:1443): dbind-WARNING **: 00:02:03.689: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files

(frontend:1441): dbind-WARNING **: 00:02:03.787: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files
Adding saned group and user...
Aggiunta dell'utente saned al gruppo scanner
Configurazione di libglx-mesa0:amd64 (18.2.2-0ubuntu1~18.04.1)...
Configurazione di libcups2:amd64 (2.2.7-1ubuntu2.3)...
Configurazione di libcups2:i386 (2.2.7-1ubuntu2.3)...
Configurazione di libxdamage1:i386 (1:1.1.4-3)...
Configurazione di libxext6:i386 (2:1.3.3-1)...
Configurazione di libxfixes3:i386 (1:5.0.3-1)...
Configurazione di gcc-7 (7.3.0-27ubuntu1~18.04)...
Configurazione di g++-7 (7.3.0-27ubuntu1~18.04)...
Configurazione di cups-ipp-utils (2.2.7-1ubuntu2.3)...
Configurazione di libxss1:i386 (1:1.2.2-1)...
Configurazione di libgd3:i386 (2.2.5-4ubuntu0.2)...
Configurazione di libcupsmime1:amd64 (2.2.7-1ubuntu2.3)...
Configurazione di cups-daemon (2.2.7-1ubuntu2.3)...
Configurazione di gcc (4:7.3.0-3ubuntu2.1)...
Configurazione di cups-core-drivers (2.2.7-1ubuntu2.3)...
Configurazione di libpulse0:i386 (1:11.1-1ubuntu7.1)...
Configurazione di libcupsppdc1:amd64 (2.2.7-1ubuntu2.3)...
Configurazione di libcupsimage2:amd64 (2.2.7-1ubuntu2.3)...
Configurazione di libegl1:i386 (1.0.0-2ubuntu2.2)...
Configurazione di dpkg-dev (1.19.0.5ubuntu2.1)...
Configurazione di libxcursor1:i386 (1:1.1.15-1)...
Configurazione di dkms (2.3-3ubuntu9.2)...
Configurazione di libgl1-mesa-glx:amd64 (18.2.2-0ubuntu1~18.04.1)...
Configurazione di libldap-2.4-2:i386 (2.4.45+dfsg-1ubuntu1.1)...
Configurazione di libwayland-egl1-mesa:i386 (18.2.2-0ubuntu1~18.04.1)...
Configurazione di g++ (4:7.3.0-3ubuntu2.1)...
update-alternatives: viene usato /usr/bin/g++ per fornire /usr/bin/c++ (c++) in modalità automatica
Configurazione di libxxf86vm1:i386 (1:1.1.4-1)...
Configurazione di cups-client (2.2.7-1ubuntu2.3)...
Configurazione di libcupscgi1:amd64 (2.2.7-1ubuntu2.3)...
Configurazione di libxrandr2:i386 (2:1.5.1-1)...
Configurazione di libglx-mesa0:i386 (18.2.2-0ubuntu1~18.04.1)...
Configurazione di libxi6:i386 (2:1.7.9-1)...
Configurazione di libcairo2:i386 (1.15.10-2ubuntu0.1)...
Configurazione di libxinerama1:i386 (2:1.1.3-1)...
Configurazione di build-essential (12.4ubuntu1)...
Configurazione di virtualbox-dkms (5.2.18-dfsg-2~ubuntu18.04.3)...

(frontend:1691): dbind-WARNING **: 00:02:22.226: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files

(frontend:1689): dbind-WARNING **: 00:02:22.318: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files
Loading new virtualbox-5.2.18 DKMS files...
Building for 4.15.0-43-generic
Building initial module for 4.15.0-43-generic
Done.

vboxdrv:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-43-generic/updates/dkms/

vboxnetadp.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-43-generic/updates/dkms/

vboxnetflt.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-43-generic/updates/dkms/

vboxpci.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-43-generic/updates/dkms/

depmod..........

DKMS: install completed.
Configurazione di libasound2-plugins:i386 (1.1.1-1ubuntu1)...
Configurazione di cups (2.2.7-1ubuntu2.3)...

(frontend:5866): dbind-WARNING **: 00:03:38.325: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files

(frontend:5864): dbind-WARNING **: 00:03:38.482: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files
Updating PPD files for cups ...
Configurazione di virtualbox (5.2.18-dfsg-2~ubuntu18.04.3)...
vboxweb.service is a disabled or a static unit, not starting it.
Configurazione di cups-bsd (2.2.7-1ubuntu2.3)...

(frontend:6396): dbind-WARNING **: 00:03:59.200: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files

(frontend:6394): dbind-WARNING **: 00:03:59.305: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files
Configurazione di libsdl2-2.0-0:i386 (2.0.8+dfsg1-1ubuntu1.18.04.1)...
Configurazione di libtheora0:i386 (1.1.1+dfsg.1-14)...
Configurazione di libglx0:i386 (1.0.0-2ubuntu2.2)...
Configurazione di virtualbox-qt (5.2.18-dfsg-2~ubuntu18.04.3)...
Configurazione di libgl1:i386 (1.0.0-2ubuntu2.2)...
Configurazione di libglu1-mesa:i386 (9.0.0-2.1build1)...
Configurazione di libgl1-mesa-glx:i386 (18.2.2-0ubuntu1~18.04.1)...
Elaborazione dei trigger per initramfs-tools (0.130ubuntu3.6)...
update-initramfs: Generating /boot/initrd.img-4.15.0-43-generic
Elaborazione dei trigger per libc-bin (2.27-3ubuntu1)...
Elaborazione dei trigger per systemd (237-3ubuntu10.11)...
Elaborazione dei trigger per ureadahead (0.100.0-20)...
Si sono verificati degli errori nell'elaborazione:
 libgstreamer-plugins-base1.0-0:i386
 gstreamer1.0-plugins-base:i386
 wine-stable-i386:i386
 libgphoto2-6:i386
 libsane1:i386
 wine-stable
 winehq-stable
dbt
Prode Principiante
 
Messaggi: 31
Iscrizione: ottobre 2017

Re: Riparare pacchetti danneggiati

Messaggioda caturen » martedì 12 febbraio 2019, 1:08

Prima di tutto controlla lo stato del tuo hard-disc perchè questo
Codice: Seleziona tutto
 (5: Errore di input/output)
è preoccupante
Prova a dare
Codice: Seleziona tutto
sudo apt clean
e dopo
Codice: Seleziona tutto
sudo apt install -f
se non sistema, la cosa più veloce è fare un backup dei dati e reinstallare il sistema perchè è troppo incasinato
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 15349
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: Riparare pacchetti danneggiati

Messaggioda dbt » martedì 12 febbraio 2019, 1:39

Riepilogo:
- L'installazione di Wine termina con pacchetti danneggiati a causa di dipendenze non soddisfatte
- I seguenti comandi non risolvono la situazione: sudo apt install -f sudo apt --fix-broken install
- Il comando per rimuovere Wine (sudo apt purge --autoremove wine-stable) non va a buon fine a causa delle dipendenze mancanti
- Scaricando pacchetti mancanti non s'installano con Gdebi: "Il sistema presenta delle dipendenze non integre. Impossibile procedere finchè il problema non è risolto"
- La riparazione dei pacchetti danneggiati con Synaptic non va a buon fine.
dbt
Prode Principiante
 
Messaggi: 31
Iscrizione: ottobre 2017

Re: Riparare pacchetti danneggiati

Messaggioda caturen » martedì 12 febbraio 2019, 11:55

1 non hai guardato se l'HD ha dei problemi
2 i pacchetti non li devi riparare con synaptic, ma eliminare quelli dannegiati
fatto quello se ne riparla, perchè se l'hd è danneggiato è inutile sistemare le cose, lo devi cambiare prima possibile
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 15349
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: Riparare pacchetti danneggiati

Messaggioda dbt » martedì 12 febbraio 2019, 17:42

Scusa la mia ignoranza..
- come faccio a vedere se l'HD ha dei problemi?
- i pacchetti danneggiati li rimuovo da Synaptic, giusto?
I seguenti comandi mi servono?
Codice: Seleziona tutto
sudo apt-get autoclean
sudo apt-get clean
sudo apt-get autoremove
sudo apt-get purge
dbt
Prode Principiante
 
Messaggi: 31
Iscrizione: ottobre 2017

Re: Riparare pacchetti danneggiati

Messaggioda dbt » martedì 12 febbraio 2019, 17:54

Da Synaptic per rimuovere i pacchetti seleziono Rimuovi o Rimuovi completamente?
dbt
Prode Principiante
 
Messaggi: 31
Iscrizione: ottobre 2017

Re: Riparare pacchetti danneggiati

Messaggioda caturen » martedì 12 febbraio 2019, 18:08

come faccio a vedere se l'HD ha dei problemi?

https://help.ubuntu.com/community/Smartmontools
i pacchetti danneggiati li rimuovo da Synaptic, giusto?

yes
I seguenti comandi mi servono?

no
Da Synaptic per rimuovere i pacchetti seleziono Rimuovi o Rimuovi completamente?

completamente
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 15349
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: Riparare pacchetti danneggiati

Messaggioda dbt » martedì 12 febbraio 2019, 20:25

Ho rimosso i pacchetti danneggiati con Synaptic (rimozione completa)

Ho dato i seguenti comandi ed è andato tutto bene:
Codice: Seleziona tutto
sudo apt update && sudo apt upgrade
Trovato:1 http://archive.ubuntu.com/ubuntu bionic InRelease
Trovato:2 http://archive.ubuntu.com/ubuntu bionic-updates InRelease
Trovato:3 http://archive.ubuntu.com/ubuntu bionic-backports InRelease
Trovato:4 http://archive.ubuntu.com/ubuntu bionic-security InRelease
Lettura elenco dei pacchetti... Fatto               
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
130 pacchetti possono essere aggiornati: eseguire "apt list --upgradable" per vederli.
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Calcolo dell'aggiornamento... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  libasn1-8-heimdal:i386 libasound2:i386 libasound2-plugins:i386 libasyncns0:i386 libavahi-client3:i386 libavahi-common-data:i386 libavahi-common3:i386 libbsd0:i386
  libcairo2:i386 libcap2:i386 libcapi20-3 libcapi20-3:i386 libcdparanoia0:i386 libcom-err2:i386 libcups2:i386 libdbus-1-3:i386 libdrm-amdgpu1:i386 libdrm-intel1:i386
  libdrm-nouveau2:i386 libdrm-radeon1:i386 libdrm2:i386 libedit2:i386 libegl-mesa0:i386 libegl1:i386 libelf1:i386 libexpat1:i386 libffi6:i386 libflac8:i386
  libfontconfig1:i386 libfreetype6:i386 libgbm1:i386 libgd3:i386 libgl1:i386 libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libglapi-mesa:i386 libglib2.0-0:i386
  libglu1-mesa libglu1-mesa:i386 libglvnd0:i386 libglx-mesa0:i386 libglx0:i386 libgmp10:i386 libgnutls30:i386 libgphoto2-port12:i386 libgsm1:i386 libgssapi-krb5-2:i386
  libgssapi3-heimdal:i386 libhcrypto4-heimdal:i386 libheimbase1-heimdal:i386 libheimntlm0-heimdal:i386 libhogweed4:i386 libhx509-5-heimdal:i386 libicu60:i386
  libidn2-0:i386 libieee1284-3:i386 libjack-jackd2-0:i386 libjbig0:i386 libjpeg-turbo8:i386 libjpeg8:i386 libk5crypto3:i386 libkeyutils1:i386 libkrb5-26-heimdal:i386
  libkrb5-3:i386 libkrb5support0:i386 liblcms2-2:i386 libldap-2.4-2:i386 libllvm6.0 libllvm7:i386 libltdl7:i386 libmpg123-0:i386 libnettle6:i386 libodbc1 libodbc1:i386
  libogg0:i386 libopenal1:i386 libopus0:i386 liborc-0.4-0:i386 libosmesa6 libosmesa6:i386 libp11-kit0:i386 libpcap0.8:i386 libpciaccess0:i386 libpixman-1-0:i386
  libpng16-16:i386 libpulse0:i386 libroken18-heimdal:i386 libsamplerate0:i386 libsasl2-2:i386 libsasl2-modules:i386 libsasl2-modules-db:i386 libsdl2-2.0-0:i386
  libsensors4:i386 libsndfile1:i386 libsndio6.1:i386 libspeexdsp1:i386 libsqlite3-0:i386 libssl1.1:i386 libstdc++6:i386 libtasn1-6:i386 libtheora0:i386 libtiff5:i386
  libunistring2:i386 libusb-1.0-0:i386 libv4l-0:i386 libv4lconvert0:i386 libvisual-0.4-0:i386 libvorbis0a:i386 libvorbisenc2:i386 libwayland-client0:i386
  libwayland-cursor0:i386 libwayland-egl1:i386 libwayland-egl1-mesa:i386 libwayland-server0:i386 libwebp6:i386 libwind0-heimdal:i386 libwrap0:i386 libx11-6:i386
  libx11-xcb1:i386 libxau6:i386 libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386 libxcb-present0:i386 libxcb-render0:i386 libxcb-shm0:i386 libxcb-sync1:i386
  libxcb-xfixes0:i386 libxcb1:i386 libxcomposite1:i386 libxcursor1:i386 libxdamage1:i386 libxdmcp6:i386 libxext6:i386 libxfixes3:i386 libxi6:i386 libxinerama1:i386
  libxkbcommon0:i386 libxml2:i386 libxpm4:i386 libxrandr2:i386 libxrender1:i386 libxshmfence1:i386 libxslt1.1:i386 libxss1:i386 libxxf86vm1:i386
  ocl-icd-libopencl1:i386 wine-stable-amd64
Usare "sudo apt autoremove" per rimuoverli.
I seguenti pacchetti NUOVI saranno installati:
  linux-headers-4.15.0-45 linux-headers-4.15.0-45-generic linux-image-4.15.0-45-generic linux-modules-4.15.0-45-generic linux-modules-extra-4.15.0-45-generic
I seguenti pacchetti saranno aggiornati:
  apt apt-utils avahi-daemon base-files bsdutils cups-ppdc dirmngr e2fsprogs fdisk firefox firefox-locale-en firefox-locale-it ghostscript ghostscript-x
  gir1.2-javascriptcoregtk-4.0 gir1.2-polkit-1.0 gir1.2-webkit2-4.0 gnome-software gnome-software-common gnupg gnupg-l10n gnupg-utils gparted gpg gpg-agent
  gpg-wks-client gpg-wks-server gpgconf gpgsm gpgv grub-common grub-pc grub-pc-bin grub2-common gvfs gvfs-backends gvfs-common gvfs-daemons gvfs-fuse gvfs-libs
  irqbalance kmod krb5-locales libapt-inst2.0 libapt-pkg5.0 libarchive13 libavahi-core7 libavahi-glib1 libcaca0 libcairo-gobject2 libcom-err2 libcom-err2:i386
  libcurl3-gnutls libegl-mesa0 libegl-mesa0:i386 libegl1-mesa libext2fs2 libfdisk1 libgbm1 libgbm1:i386 libgl1-mesa-dri libgl1-mesa-dri:i386 libgl1-mesa-glx
  libgl1-mesa-glx:i386 libglapi-mesa libglapi-mesa:i386 libglx-mesa0 libglx-mesa0:i386 libgs9 libgs9-common libjavascriptcoregtk-4.0-18 libkmod2 libmysqlclient20
  libnma0 libnss-systemd libnss3 libosmesa6 libosmesa6:i386 libpam-systemd libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0 libpoppler-glib8
  libpoppler-qt5-1 libpoppler73 libsmartcols1 libsmbclient libss2 libsystemd0 libsystemd0:i386 libudev1 libudev1:i386 libwayland-egl1-mesa libwayland-egl1-mesa:i386
  libwbclient0 libwebkit2gtk-4.0-37 libxatracker2 libzmq5 linux-firmware linux-generic linux-headers-generic linux-image-generic linux-libc-dev lubuntu-default-session
  lubuntu-default-settings mount netplan.io network-manager-gnome nplan openssh-client policykit-1 poppler-utils python-apt-common python3-apt python3-distupgrade
  python3-update-manager rfkill samba-libs systemd systemd-sysv tar ubuntu-release-upgrader-core ubuntu-release-upgrader-gtk udev update-manager update-manager-core
  update-notifier update-notifier-common util-linux uuid-runtime
130 aggiornati, 5 installati, 0 da rimuovere e 0 non aggiornati.
È necessario scaricare 253 MB di archivi.
Dopo quest'operazione, verranno occupati 341 MB di spazio su disco.
Continuare? [S/n] s
Scaricamento di:1 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 base-files amd64 10.1ubuntu2.4 [60,2 kB]
Scaricamento di:2 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 bsdutils amd64 1:2.31.1-0.4ubuntu3.3 [60,4 kB]
Scaricamento di:3 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libext2fs2 amd64 1.44.1-1ubuntu1.1 [157 kB]
Scaricamento di:4 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 e2fsprogs amd64 1.44.1-1ubuntu1.1 [390 kB]
Scaricamento di:5 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 tar amd64 1.29b-2ubuntu0.1 [234 kB]
Scaricamento di:6 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libfdisk1 amd64 2.31.1-0.4ubuntu3.3 [164 kB]
Scaricamento di:7 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libsmartcols1 amd64 2.31.1-0.4ubuntu3.3 [83,8 kB]
Scaricamento di:8 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 fdisk amd64 2.31.1-0.4ubuntu3.3 [108 kB]
Scaricamento di:9 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 util-linux amd64 2.31.1-0.4ubuntu3.3 [902 kB]
Scaricamento di:10 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libsystemd0 amd64 237-3ubuntu10.12 [205 kB]
Scaricamento di:11 http://archive.ubuntu.com/ubuntu bionic-updates/main i386 libsystemd0 i386 237-3ubuntu10.12 [222 kB]
Scaricamento di:12 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libnss-systemd amd64 237-3ubuntu10.12 [105 kB]
Scaricamento di:13 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libpam-systemd amd64 237-3ubuntu10.12 [108 kB]
Scaricamento di:14 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 systemd amd64 237-3ubuntu10.12 [2.899 kB]
Scaricamento di:15 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 udev amd64 237-3ubuntu10.12 [1.100 kB]
Scaricamento di:16 http://archive.ubuntu.com/ubuntu bionic-updates/main i386 libudev1 i386 237-3ubuntu10.12 [57,8 kB]                                                   
Scaricamento di:17 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libudev1 amd64 237-3ubuntu10.12 [54,2 kB]                                                 
Scaricamento di:18 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 systemd-sysv amd64 237-3ubuntu10.12 [12,1 kB]                                             
Scaricamento di:19 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 kmod amd64 24-1ubuntu3.2 [88,8 kB]                                                       
Scaricamento di:20 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libkmod2 amd64 24-1ubuntu3.2 [40,0 kB]                                                   
Scaricamento di:21 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 mount amd64 2.31.1-0.4ubuntu3.3 [106 kB]                                                 
Scaricamento di:22 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libapt-pkg5.0 amd64 1.6.8 [804 kB]                                                       
Scaricamento di:23 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libapt-inst2.0 amd64 1.6.8 [55,6 kB]                                                     
Scaricamento di:24 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 apt amd64 1.6.8 [1.165 kB]                                                               
Scaricamento di:25 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 apt-utils amd64 1.6.8 [208 kB]                                                           
Scaricamento di:26 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 gpg-wks-client amd64 2.2.4-1ubuntu1.2 [91,9 kB]                                           
Scaricamento di:27 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 dirmngr amd64 2.2.4-1ubuntu1.2 [316 kB]                                                   
Scaricamento di:28 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 gpg amd64 2.2.4-1ubuntu1.2 [467 kB]                                                       
Scaricamento di:29 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 gnupg-utils amd64 2.2.4-1ubuntu1.2 [127 kB]                                               
Scaricamento di:30 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 gnupg-l10n all 2.2.4-1ubuntu1.2 [49,6 kB]                                                 
Scaricamento di:31 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 gpg-agent amd64 2.2.4-1ubuntu1.2 [227 kB]                                                 
Scaricamento di:32 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 gpgsm amd64 2.2.4-1ubuntu1.2 [215 kB]                                                     
Scaricamento di:33 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 gpgconf amd64 2.2.4-1ubuntu1.2 [123 kB]                                                   
Scaricamento di:34 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 gnupg amd64 2.2.4-1ubuntu1.2 [249 kB]                                                     
Scaricamento di:35 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 gpg-wks-server amd64 2.2.4-1ubuntu1.2 [84,9 kB]                                           
Scaricamento di:36 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 gpgv amd64 2.2.4-1ubuntu1.2 [198 kB]                                                     
Scaricamento di:37 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 uuid-runtime amd64 2.31.1-0.4ubuntu3.3 [34,8 kB]                                         
Scaricamento di:38 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libsmbclient amd64 2:4.7.6+dfsg~ubuntu-0ubuntu2.6 [54,2 kB]                               
Scaricamento di:39 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 samba-libs amd64 2:4.7.6+dfsg~ubuntu-0ubuntu2.6 [5.253 kB]                               
Scaricamento di:40 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libwbclient0 amd64 2:4.7.6+dfsg~ubuntu-0ubuntu2.6 [34,0 kB]                               
Scaricamento di:41 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 ubuntu-release-upgrader-gtk all 1:18.04.30 [9.364 B]                                     
Scaricamento di:42 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 ubuntu-release-upgrader-core all 1:18.04.30 [24,9 kB]                                     
Scaricamento di:43 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 update-manager all 1:18.04.11.9 [551 kB]                                                 
Scaricamento di:44 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3-distupgrade all 1:18.04.30 [106 kB]                                               
Scaricamento di:45 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3-update-manager all 1:18.04.11.9 [35,2 kB]                                         
Scaricamento di:46 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 update-manager-core all 1:18.04.11.9 [8.496 B]                                           
Scaricamento di:47 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python-apt-common all 1.6.3ubuntu1 [16,2 kB]                                             
Scaricamento di:48 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3-apt amd64 1.6.3ubuntu1 [148 kB]                                                   
Scaricamento di:49 http://archive.ubuntu.com/ubuntu bionic-updates/main i386 libwayland-egl1-mesa i386 18.2.2-0ubuntu1~18.04.2 [4.872 B]                               
Scaricamento di:50 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libwayland-egl1-mesa amd64 18.2.2-0ubuntu1~18.04.2 [4.872 B]                             
Scaricamento di:51 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libwebkit2gtk-4.0-37 amd64 2.22.5-0ubuntu0.18.04.1 [11,1 MB]                             
Scaricamento di:52 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libjavascriptcoregtk-4.0-18 amd64 2.22.5-0ubuntu0.18.04.1 [4.454 kB]                     
Scaricamento di:53 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 gir1.2-webkit2-4.0 amd64 2.22.5-0ubuntu0.18.04.1 [67,8 kB]                               
Scaricamento di:54 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 gir1.2-javascriptcoregtk-4.0 amd64 2.22.5-0ubuntu0.18.04.1 [21,3 kB]                     
Scaricamento di:55 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 policykit-1 amd64 0.105-20ubuntu0.18.04.4 [53,5 kB]                                       
Scaricamento di:56 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libpolkit-backend-1-0 amd64 0.105-20ubuntu0.18.04.4 [36,3 kB]                             
Scaricamento di:57 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 gir1.2-polkit-1.0 amd64 0.105-20ubuntu0.18.04.4 [7.336 B]                                 
Scaricamento di:58 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libpolkit-agent-1-0 amd64 0.105-20ubuntu0.18.04.4 [14,9 kB]                               
Scaricamento di:59 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libpolkit-gobject-1-0 amd64 0.105-20ubuntu0.18.04.4 [36,4 kB]                             
Scaricamento di:60 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 update-notifier amd64 3.192.1.5 [50,4 kB]                                                 
Scaricamento di:61 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 update-notifier-common all 3.192.1.5 [160 kB]                                             
Scaricamento di:62 http://archive.ubuntu.com/ubuntu bionic-updates/main i386 libcom-err2 i386 1.44.1-1ubuntu1.1 [9.516 B]                                               
Scaricamento di:63 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libcom-err2 amd64 1.44.1-1ubuntu1.1 [9.228 B]                                             
Scaricamento di:64 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libss2 amd64 1.44.1-1ubuntu1.1 [11,1 kB]                                                 
Scaricamento di:65 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 netplan.io amd64 0.40.1~18.04.4 [63,3 kB]                                                 
Scaricamento di:66 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 nplan all 0.40.1~18.04.4 [1.380 B]                                                       
Scaricamento di:67 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 irqbalance amd64 1.3.0-0.1ubuntu0.18.04.1 [48,0 kB]                                       
Scaricamento di:68 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 krb5-locales all 1.16-2ubuntu0.1 [13,5 kB]                                               
Scaricamento di:69 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 openssh-client amd64 1:7.6p1-4ubuntu0.2 [611 kB]                                         
Scaricamento di:70 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libavahi-core7 amd64 0.7-3.1ubuntu1.2 [81,1 kB]                                           
Scaricamento di:71 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 avahi-daemon amd64 0.7-3.1ubuntu1.2 [62,3 kB]                                             
Scaricamento di:72 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 cups-ppdc amd64 2.2.7-1ubuntu2.3 [26,9 kB]                                               
Scaricamento di:73 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libcairo-gobject2 amd64 1.15.10-2ubuntu0.1 [17,1 kB]                                     
Scaricamento di:74 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 firefox amd64 65.0+build2-0ubuntu0.18.04.1 [47,7 MB]                                     
Scaricamento di:75 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 firefox-locale-en amd64 65.0+build2-0ubuntu0.18.04.1 [947 kB]                             
Scaricamento di:76 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 firefox-locale-it amd64 65.0+build2-0ubuntu0.18.04.1 [313 kB]                             
Scaricamento di:77 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 ghostscript-x amd64 9.26~dfsg+0-0ubuntu0.18.04.4 [43,0 kB]                               
Scaricamento di:78 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 ghostscript amd64 9.26~dfsg+0-0ubuntu0.18.04.4 [51,7 kB]                                 
Scaricamento di:79 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libgs9 amd64 9.26~dfsg+0-0ubuntu0.18.04.4 [2.264 kB]                                     
Scaricamento di:80 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libgs9-common all 9.26~dfsg+0-0ubuntu0.18.04.4 [5.093 kB]                                 
Scaricamento di:81 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 gnome-software amd64 3.28.1-0ubuntu4.18.04.8 [490 kB]                                     
Scaricamento di:82 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 gnome-software-common all 3.28.1-0ubuntu4.18.04.8 [2.482 kB]                             
Scaricamento di:83 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 gparted amd64 0.30.0-3ubuntu2 [466 kB]                                                   
Scaricamento di:84 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 grub-pc amd64 2.02-2ubuntu8.12 [137 kB]                                                   
Scaricamento di:85 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 grub2-common amd64 2.02-2ubuntu8.12 [532 kB]                                             
Scaricamento di:86 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 grub-pc-bin amd64 2.02-2ubuntu8.12 [900 kB]                                               
Scaricamento di:87 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 grub-common amd64 2.02-2ubuntu8.12 [1.772 kB]                                             
43% [87 grub-common 564 kB/1.772 kB 32%]   


Se eseguo il seguente comando risulta tutto ok
Codice: Seleziona tutto
sudo apt-get install -f
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
0 aggiornati, 0 installati, 0 da rimuovere e 120 non aggiornati.


Se faccio "Aggiornamenti software" -->
- al primo tentativo mi ridà gli stessi problemi di dipendenze
- con "riprova" --> finalmente esegue gli aggiornamenti!

Per quanto riguarda la verifica dell'integrità dell'HD devo ancora eseguirla

Per ora grazie mille per l'aiuto!!
dbt
Prode Principiante
 
Messaggi: 31
Iscrizione: ottobre 2017

Re: Riparare pacchetti danneggiati

Messaggioda dbt » martedì 12 febbraio 2019, 20:35

Riepilogo:
- L'installazione di Wine termina con pacchetti danneggiati a causa di dipendenze non soddisfatte
- I seguenti comandi non risolvono la situazione: sudo apt install -f sudo apt --fix-broken install
- Il comando per rimuovere Wine (sudo apt purge --autoremove wine-stable) non va a buon fine a causa delle dipendenze mancanti
- Scaricando pacchetti mancanti non s'installano con Gdebi: "Il sistema presenta delle dipendenze non integre. Impossibile procedere finchè il problema non è risolto"
- La riparazione dei pacchetti danneggiati con Synaptic non va a buon fine.
- La rimozione (completa) dei pacchetti danneggiati con Synaptic va a buon fine --> finalmente riesco di nuovo a fare gli Aggiornamenti software
- la verifica dell'integrità dell'HD devo ancora eseguirla --> Test HD
dbt
Prode Principiante
 
Messaggi: 31
Iscrizione: ottobre 2017

Successiva

Torna a Installazione e aggiornamento del sistema operativo

Chi c’è in linea

Visualizzano questa sezione: Stefano17 e 6 ospiti